### Enumeration

# Soup LoggerLogLevel

#### Declaration

    enum Soup.LoggerLogLevel

#### Description [src]

Describes the level of logging output to provide.

#### Members

`SOUP_LOGGER_LOG_NONE`

  No logging.

  - Value: `0`
  - Available since: 3.0
`SOUP_LOGGER_LOG_MINIMAL`

  Log the Request-Line or Status-Line and the Soup-Debug pseudo-headers.

  - Value: `1`
  - Available since: 3.0
`SOUP_LOGGER_LOG_HEADERS`

  Log the full request/response headers.

  - Value: `2`
  - Available since: 3.0
`SOUP_LOGGER_LOG_BODY`

  Log the full headers and request/response bodies.

  - Value: `3`
  - Available since: 3.0